# OSD_SysType.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | OSD_SysType { OSD_Unknown, OSD_Default, OSD_UnixBSD, OSD_UnixSystemV, OSD_VMS, OSD_OS2, OSD_OSF, OSD_MacOs, OSD_Taligent, OSD_WindowsNT, OSD_LinuxREDHAT, OSD_Aix }
| This is set of possible machine types used in OSD_Host::MachineType . More...

## Enumeration Type Documentation

enum OSD_SysType

Enumeration values:

  OSD_Unknown |
  OSD_Default |
  OSD_UnixBSD |
  OSD_UnixSystemV |
  OSD_VMS |
  OSD_OS2 |
  OSD_OSF |
  OSD_MacOs |
  OSD_Taligent |
  OSD_WindowsNT |
  OSD_LinuxREDHAT |
  OSD_Aix |